#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

with open('requirements.txt') as f:
    required = f.read().splitlines()

setup_requirements = [ ]

test_requirements = [ ]

setup(
    author="Mark Robertson",
    author_email='markrobertson@u.boisestate.edu',
    python_requires='!=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*, !=3.4.*',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'Natural Language :: English',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="Compare python package requirements across packages.",
    entry_points={
        'console_scripts': [
            'reqchecker=reqchecker.cli:main',
        ],
    },
    install_requires=required,
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='reqchecker',
    name='reqchecker',
    packages=find_packages(include=['reqchecker', 'reqchecker.*']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/robertson-mark/reqchecker',
    version='0.2.1',
    zip_safe=False,
)
